Bug 68080 - licq crashes when sending a url message to multiple recipients
Summary: licq crashes when sending a url message to multiple recipients
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: licq   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 67218 79579
TreeView+ depends on / blocked
 
Reported: 2002-07-06 04:11 UTC by fatalexception
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-20 14:43:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description fatalexception 2002-07-06 04:11:32 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i586; U;) Gecko/20020408

Description of problem:
When sending a URL message in licq (version 1.1.0-2.cvs20020521.3 that I
compiled myself using rpmbuild --rebuild from the rawhide .src.rpm from
rpmfind.net) to multiple recipients, licq crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Load licq (using "licq -p qt-gui" while in gnome)
2. Go online.
3. Right, click a user and select Send -> Send URL
4. Type in any url.
5. Check "multiple recipients" and check "Send through server"
6. Drag one or more other users into the recipients list.
7. Hit the "send" button.

Actual Results:  licq crashes saying this when I run it via the console:
Licq Segmentation Violation Detected.
Backtrace:
/usr/lib/licq/licq-bin(licq_handle_sigsegv+0x85) [0x80a5915]
/lib/libpthread.so.0 [0x4012a307]
/lib/libc.so.6 [0x401d6df8]
/lib/libpthread.so.0 [0x40126f77]
/lib/libc.so.6(__clone+0x3a) [0x4028ad7a]
Attempting to generate core file.


Expected Results:  I expect that I should be able to send the same url to a few
friends at once without having to open up a new url message window for each one.

Additional info:

licq successfully sends url messages when the "multiple recipient" option is not
checked.

Also, this issue occurs on a stock RedHat 7.3 system.

Comment 1 Thomas Woerner 2003-01-20 14:43:23 UTC
Fixed in rawhide in licq-1.2.3-3 or later.


Note You need to log in before you can comment on or make changes to this bug.